using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ezBarcodeComponent.Winform;

namespace WindowsFormExample
{
    public partial class MacroPDF417 : Form
    {
        public MacroPDF417()
        {
            InitializeComponent();
            this.barcode1.Symbology = ezBarcodeComponent.Winform.Symbologies.MacroPDF417;
            this.barcode2.Symbology = ezBarcodeComponent.Winform.Symbologies.MacroPDF417;
            this.barcode1.MacroPdf417FileId = 0;
            this.barcode2.MacroPdf417FileId = 0;
            this.barcode1.MacroPdf417SegmentCount = 2;
            this.barcode2.MacroPdf417SegmentCount = 2;
            this.barcode1.MacroPdf417SegmentIndex = 0;
            this.barcode2.MacroPdf417SegmentIndex = 1;


        }

        private void ApplyChange()
        {

            this.barcode1.PDF417Columns = 0;
            this.barcode1.PDF417Rows = 0;
            this.barcode2.PDF417Columns = 0;
            this.barcode2.PDF417Rows = 0;
            this.barcode1.CodeData = txtCodeData.Text;
            this.barcode2.CodeData = this.textBox1.Text;
            switch (this.cboRotation.SelectedIndex)
            {
                case 0: this.barcode1.RotationAngle = RotationAngles.Zero;
                    this.barcode2.RotationAngle = RotationAngles.Zero; 
                    break;
                case 1: this.barcode1.RotationAngle = RotationAngles.Ninety;
                    this.barcode2.RotationAngle = RotationAngles.Ninety;
                    break;
                case 2: this.barcode1.RotationAngle = RotationAngles.One_Hundred_Eighty;
                    this.barcode2.RotationAngle = RotationAngles.One_Hundred_Eighty; 
                    break;
                case 3: this.barcode1.RotationAngle = RotationAngles.Two_Hundred_Seventy;
                    this.barcode2.RotationAngle = RotationAngles.Two_Hundred_Seventy; 
                    break;
                default: this.barcode1.RotationAngle = RotationAngles.Zero;
                    this.barcode2.RotationAngle = RotationAngles.Zero; 
                    break;
            }
            this.barcode1.ForeColor = Color.FromName(this.cboForeColor.Text);
            this.barcode1.BackColor = Color.FromName(this.cboBackColor.Text);
            this.barcode1.TopMargin = Convert.ToDouble(this.numericUpDown1.Value);
            this.barcode1.LeftMargin = Convert.ToDouble(this.numericUpDown2.Value);
            this.barcode1.XDimension = Convert.ToDouble(this.numericUpDown3.Value);
            this.barcode1.PDF417YtoXRatio = Convert.ToDouble(this.numericUpDown4.Value);
            this.barcode2.ForeColor = Color.FromName(this.cboForeColor.Text);
            this.barcode2.BackColor = Color.FromName(this.cboBackColor.Text);
            this.barcode2.TopMargin = Convert.ToDouble(this.numericUpDown1.Value);
            this.barcode2.LeftMargin = Convert.ToDouble(this.numericUpDown2.Value);
            this.barcode2.XDimension = Convert.ToDouble(this.numericUpDown3.Value);
            this.barcode2.PDF417YtoXRatio = Convert.ToDouble(this.numericUpDown4.Value);
            switch (this.cboCompactionType.SelectedIndex)
            {
                case 0: this.barcode1.Pdf417CompactionType = PDF417CompactionMode.Auto;
                    this.barcode2.Pdf417CompactionType = PDF417CompactionMode.Auto; 
                    break;
                case 1: this.barcode1.Pdf417CompactionType = PDF417CompactionMode.Binary;
                    this.barcode2.Pdf417CompactionType = PDF417CompactionMode.Binary; 
                    break;
                case 2: this.barcode1.Pdf417CompactionType = PDF417CompactionMode.Numeric;
                    this.barcode2.Pdf417CompactionType = PDF417CompactionMode.Numeric; 
                    break;
                case 3: this.barcode1.Pdf417CompactionType = PDF417CompactionMode.Text;
                    this.barcode2.Pdf417CompactionType = PDF417CompactionMode.Text; 
                    break;
                default: this.barcode1.Pdf417CompactionType = PDF417CompactionMode.Binary;
                    this.barcode2.Pdf417CompactionType = PDF417CompactionMode.Binary; 
                    break;
            }
            this.barcode1.Pdf417Truncated = this.ckPdf417Truncated.Checked;
            this.barcode2.Pdf417Truncated = this.ckPdf417Truncated.Checked;

        }
        private void value_Changed(object sender, EventArgs e)
        {
            ApplyChange();
        }
     
    }
}