Imports ezBarcodeComponent.Winform
Public Class MacroPDF417
    Public Sub New()
        Me.InitializeComponent()
        Me.barcode1.Symbology = Symbologies.MacroPDF417
        Me.barcode2.Symbology = Symbologies.MacroPDF417
        Me.barcode1.MacroPdf417FileId = 0
        Me.barcode2.MacroPdf417FileId = 0
        Me.barcode1.MacroPdf417SegmentCount = 2
        Me.barcode2.MacroPdf417SegmentCount = 2
        Me.barcode1.MacroPdf417SegmentIndex = 0
        Me.barcode2.MacroPdf417SegmentIndex = 1
    End Sub
    Private Sub ApplyChange()
        Me.barcode1.PDF417Columns = 0
        Me.barcode1.PDF417Rows = 0
        Me.barcode2.PDF417Columns = 0
        Me.barcode2.PDF417Rows = 0
        Me.barcode1.CodeData = Me.txtCodeData.Text
        Me.barcode2.CodeData = Me.textBox1.Text
        Select Case Me.cboRotation.SelectedIndex
            Case 0
                Me.barcode1.RotationAngle = RotationAngles.Zero
                Me.barcode2.RotationAngle = RotationAngles.Zero
                Exit Select
            Case 1
                Me.barcode1.RotationAngle = RotationAngles.Ninety
                Me.barcode2.RotationAngle = RotationAngles.Ninety
                Exit Select
            Case 2
                Me.barcode1.RotationAngle = RotationAngles.One_Hundred_Eighty
                Me.barcode2.RotationAngle = RotationAngles.One_Hundred_Eighty
                Exit Select
            Case 3
                Me.barcode1.RotationAngle = RotationAngles.Two_Hundred_Seventy
                Me.barcode2.RotationAngle = RotationAngles.Two_Hundred_Seventy
                Exit Select
            Case Else
                Me.barcode1.RotationAngle = RotationAngles.Zero
                Me.barcode2.RotationAngle = RotationAngles.Zero
                Exit Select
        End Select
        Me.barcode1.ForeColor = Color.FromName(Me.cboForeColor.Text)
        Me.barcode1.BackColor = Color.FromName(Me.cboBackColor.Text)
        Me.barcode1.TopMargin = Convert.ToDouble(Me.numericUpDown1.Value)
        Me.barcode1.LeftMargin = Convert.ToDouble(Me.numericUpDown2.Value)
        Me.barcode1.XDimension = Convert.ToDouble(Me.numericUpDown3.Value)
        Me.barcode1.PDF417YtoXRatio = Convert.ToDouble(Me.numericUpDown4.Value)
        Me.barcode2.ForeColor = Color.FromName(Me.cboForeColor.Text)
        Me.barcode2.BackColor = Color.FromName(Me.cboBackColor.Text)
        Me.barcode2.TopMargin = Convert.ToDouble(Me.numericUpDown1.Value)
        Me.barcode2.LeftMargin = Convert.ToDouble(Me.numericUpDown2.Value)
        Me.barcode2.XDimension = Convert.ToDouble(Me.numericUpDown3.Value)
        Me.barcode2.PDF417YtoXRatio = Convert.ToDouble(Me.numericUpDown4.Value)
        Select Case Me.cboCompactionType.SelectedIndex
            Case 0
                Me.barcode1.Pdf417CompactionType = PDF417CompactionMode.Auto
                Me.barcode2.Pdf417CompactionType = PDF417CompactionMode.Auto
                Exit Select
            Case 1
                Me.barcode1.Pdf417CompactionType = PDF417CompactionMode.Binary
                Me.barcode2.Pdf417CompactionType = PDF417CompactionMode.Binary
                Exit Select
            Case 2
                Me.barcode1.Pdf417CompactionType = PDF417CompactionMode.Numeric
                Me.barcode2.Pdf417CompactionType = PDF417CompactionMode.Numeric
                Exit Select
            Case 3
                Me.barcode1.Pdf417CompactionType = PDF417CompactionMode.Text
                Me.barcode2.Pdf417CompactionType = PDF417CompactionMode.Text
                Exit Select
            Case Else
                Me.barcode1.Pdf417CompactionType = PDF417CompactionMode.Binary
                Me.barcode2.Pdf417CompactionType = PDF417CompactionMode.Binary
                Exit Select
        End Select
        Me.barcode1.Pdf417Truncated = Me.ckPdf417Truncated.Checked
        Me.barcode2.Pdf417Truncated = Me.ckPdf417Truncated.Checked
    End Sub

    Private Sub txtCodeData_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtCodeData.TextChanged
        Me.ApplyChange()

    End Sub

    Private Sub textBox1_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles textBox1.TextChanged
        Me.ApplyChange()

    End Sub


    Private Sub cboRotation_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboRotation.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown3_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown3.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub cboForeColor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboForeColor.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown4_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown4.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub cboBackColor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboBackColor.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub cboCompactionType_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboCompactionType.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown1_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown1.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub ckPdf417Truncated_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ckPdf417Truncated.CheckedChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown2_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown2.ValueChanged
        Me.ApplyChange()

    End Sub
End Class