Imports System.Drawing.Printing
Imports ezBarcodeComponent.Winform
Imports System.Drawing.Imaging

Public Class PDF417

    Public Sub New()
        Me.InitializeComponent()
        AddHandler Me.printDocument1.PrintPage, New PrintPageEventHandler(AddressOf Me.printDocument1_PrintPage)
        Me.barcode1.Symbology = Symbologies.PDF417
        Me.barcode1.CodeData = Me.txtCodeData.Text
    End Sub
    Private Sub ApplyChange()
        Me.barcode1.PDF417Columns = 0
        Me.barcode1.PDF417Rows = 0
        Me.barcode1.UseCaret = Me.checkBox1.Checked
        Me.barcode1.CodeData = Me.txtCodeData.Text
        Select Case Me.cboRotation.SelectedIndex
            Case 0
                Me.barcode1.RotationAngle = RotationAngles.Zero
                Exit Select
            Case 1
                Me.barcode1.RotationAngle = RotationAngles.Ninety
                Exit Select
            Case 2
                Me.barcode1.RotationAngle = RotationAngles.One_Hundred_Eighty
                Exit Select
            Case 3
                Me.barcode1.RotationAngle = RotationAngles.Two_Hundred_Seventy
                Exit Select
            Case Else
                Me.barcode1.RotationAngle = RotationAngles.Zero
                Exit Select
        End Select
        Me.barcode1.ForeColor = Color.FromName(Me.cboForeColor.Text)
        Me.barcode1.BackColor = Color.FromName(Me.cboBackColor.Text)
        Me.barcode1.TopMargin = Convert.ToDouble(Me.numericUpDown1.Value)
        Me.barcode1.LeftMargin = Convert.ToDouble(Me.numericUpDown2.Value)
        Me.barcode1.XDimension = Convert.ToDouble(Me.numericUpDown3.Value)
        Me.barcode1.PDF417YtoXRatio = Convert.ToDouble(Me.numericUpDown4.Value)
        Select Case Me.cboCompactionType.SelectedIndex
            Case 0
                Me.barcode1.Pdf417CompactionType = PDF417CompactionMode.Auto
                Exit Select
            Case 1
                Me.barcode1.Pdf417CompactionType = PDF417CompactionMode.Binary
                Exit Select
            Case 2
                Me.barcode1.Pdf417CompactionType = PDF417CompactionMode.Numeric
                Exit Select
            Case 3
                Me.barcode1.Pdf417CompactionType = PDF417CompactionMode.Text
                Exit Select
            Case Else
                Me.barcode1.Pdf417CompactionType = PDF417CompactionMode.Binary
                Exit Select
        End Select
        Me.barcode1.Pdf417Truncated = Me.ckPdf417Truncated.Checked
    End Sub
    Private Sub printDocument1_PrintPage(ByVal sender As Object, ByVal e As PrintPageEventArgs)
        e.Graphics.DrawImage(Me.barcode1.Picture, 50, 50)
    End Sub

    Private Sub txtCodeData_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtCodeData.TextChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown3_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown3.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub cboRotation_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboRotation.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown4_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown4.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub cboForeColor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboForeColor.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub cboCompactionType_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboCompactionType.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub cboBackColor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboBackColor.SelectedIndexChanged
        Me.ApplyChange()

    End Sub

    Private Sub ckPdf417Truncated_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ckPdf417Truncated.CheckedChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown1_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown1.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub checkBox1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles checkBox1.CheckedChanged
        Me.ApplyChange()

    End Sub

    Private Sub numericUpDown2_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles numericUpDown2.ValueChanged
        Me.ApplyChange()

    End Sub

    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        Me.saveFileDialog1.FileName = "test"
        Me.saveFileDialog1.Filter = "Bitmap file (*.bmp)|*.bmp|Gif file (*.gif)|*.gif|Jpeg file (*.jpeg)|*.jpeg|Png file (*.png)|*.png"
        If (Me.saveFileDialog1.ShowDialog = DialogResult.OK) Then
            Dim format As ImageFormat = ImageFormat.Bmp
            Select Case Me.saveFileDialog1.FilterIndex
                Case 1
                    format = ImageFormat.Bmp
                    Exit Select
                Case 2
                    format = ImageFormat.Gif
                    Exit Select
                Case 3
                    format = ImageFormat.Jpeg
                    Exit Select
                Case 4
                    format = ImageFormat.Png
                    Exit Select
                Case Else
                    format = ImageFormat.Bmp
                    Exit Select
            End Select
            Me.barcode1.SaveImageAs(Me.saveFileDialog1.FileName, format)
        End If


    End Sub

    Private Sub button7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button7.Click
        Try
            Me.printPreviewDialog1.Document = Me.printDocument1
            Me.printDocument1.DocumentName = "ezBarcodeComponent Print Test"
            Me.printPreviewDialog1.ShowDialog()
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try

    End Sub
End Class